local silo_script = require("silo-script")
local version = 1

script.on_event(defines.events.on_player_created, function(event)
  local player = game.players[event.player_index]
  local character = player.character
  character.character_inventory_slots_bonus=500
  character.quickbar_count_bonus=2
  character.character_crafting_speed_modifier=5
  character.character_running_speed_modifier=2
  player.insert{name="power-armor-mk2"}
  player.insert{name="personal-roboport-mk2-equipment", count=5}
  player.insert{name="battery-mk2-equipment", count=6}
  player.insert{name="night-vision-equipment", count = 1}
  player.insert{name="fusion-reactor-equipment", count = 4}
  player.insert{name="steel-furnace", count=1000}
  player.insert{name="medium-electric-pole", count=1000}
  player.insert{name="big-electric-pole", count=200}
  player.insert{name="construction-robot", count=100}
  player.insert{name="fast-splitter", count=200}
  player.insert{name="splitter", count=50}
  player.insert{name="fast-underground-belt", count=500}
  player.insert{name="underground-belt", count=50}
  player.insert{name="lab", count=30}
  player.insert{name="military-science-pack", count=5000}
  player.insert{name="science-pack-3", count=5000}
  player.insert{name="science-pack-2", count=5000}
  player.insert{name="science-pack-1", count=5000}
  player.insert{name="long-handed-inserter", count=500}
  player.insert{name="steel-chest", count=50}
  player.insert{name="assembling-machine-2", count=500}
  player.insert{name="pipe-to-ground", count=50}
  player.insert{name="small-lamp", count=500}
  player.insert{name="radar", count=50}
  player.insert{name="small-electric-pole", count=100}
  player.insert{name="steam-engine", count=160}
  player.insert{name="boiler", count=80}
  player.insert{name="pipe", count=1000}
  player.insert{name="offshore-pump", count=10}
  player.insert{name="inserter", count=100}
  player.insert{name="fast-inserter", count=5000}
  player.insert{name="fast-transport-belt", count=5000}
  player.insert{name="electric-mining-drill", count=1000}
  player.insert{name="submachine-gun", count=1}
  player.insert{name="piercing-rounds-magazine", count=1000}
  player.insert{name="gun-turret", count=50}
  player.insert{name="steel-axe", count=10}
  player.force.chart(player.surface, {{player.position.x - 400, player.position.y - 400}, {player.position.x + 400, player.position.y + 400}})
  if (#game.players <= 1) then
    game.show_message_dialog{text = {"msg-intro"}}
  else
    player.print({"msg-intro"})
  end
  silo_script.on_player_created(event)
end)

script.on_event(defines.events.on_player_respawned, function(event)
  local player = game.players[event.player_index]
  player.insert{name="pistol", count=1}
  player.insert{name="firearm-magazine", count=10}
end)

script.on_event(defines.events.on_gui_click, function(event)
  silo_script.on_gui_click(event)
end)

script.on_init(function()
  global.version = version
  silo_script.on_init()
end)

script.on_event(defines.events.on_rocket_launched, function(event)
  silo_script.on_rocket_launched(event)
end)

script.on_configuration_changed(function(event)
  if global.version ~= version then
    global.version = version
  end
  silo_script.on_configuration_changed(event)
end)

silo_script.add_remote_interface()
silo_script.add_commands()
