local silo_script = require("silo-script")
local version = 1

script.on_event(defines.events.on_player_created, function(event)
  local player = game.players[event.player_index]
  local character = player.character
  character.character_inventory_slots_bonus=200
  character.quickbar_count_bonus=2
  --character.character_crafting_speed_modifier=10
  --character.character_running_speed_modifier=2e
  character_build_distance_bonus=50
  character_reach_distance_bonus=50
  character_resource_reach_distance_bonus=50
  character_item_pickup_distance_bonus=50
  --character_logistic_slot_count_bonus=20
  --character_trash_slot_count_bonus=20
 
  player.insert{name="power-armor-mk2"}
  player.insert{name="personal-roboport-mk2-equipment", count=4}
  player.insert{name="battery-mk2-equipment", count=4}
  player.insert{name="night-vision-equipment", count = 1}
  player.insert{name="fusion-reactor-equipment", count = 4}
  player.insert{name="construction-robot", count=200}
  player.insert{name="steel-chest", count=10}
  player.insert{name="pipe-to-ground", count=50}
  player.insert{name="radar", count=1}
  player.insert{name="steam-engine", count=12}
  player.insert{name="boiler", count=6}
  player.insert{name="pipe", count=100}
  player.insert{name="offshore-pump", count=10}
  player.insert{name="fast-transport-belt", count=300}
  player.insert{name="fast-splitter", count=50}
  player.insert{name="fast-underground-belt", count=50}
  player.insert{name="fast-inserter", count=100}
  player.insert{name="submachine-gun", count=1}
  player.insert{name="piercing-rounds-magazine", count=5000}
  player.insert{name="gun-turret", count=50}
  player.insert{name="steel-axe", count=10}
  player.insert{name="rocket-silo", count=1}
  player.insert{name="low-density-structure", count=1000}
  player.insert{name="rocket-fuel", count=1500}
  player.insert{name="rocket-control-unit", count=1000}
  player.insert{name="satellite", count=1000}
  player.insert{name="stone-wall", count=1000}
  local armor = player.get_inventory(defines.inventory.player_armor).find_item_stack('power-armor-mk2')
  armor.grid.put{name='fusion-reactor-equipment'}
  armor.grid.put{name='fusion-reactor-equipment'}
  armor.grid.put{name='fusion-reactor-equipment'}
  armor.grid.put{name='fusion-reactor-equipment'}
  armor.grid.put{name='personal-roboport-equipment'}
  armor.grid.put{name='personal-roboport-equipment'}
  armor.grid.put{name='personal-roboport-equipment'}
  armor.grid.put{name='personal-roboport-equipment'}
  armor.grid.put{name="night-vision-equipment"}
  armor.grid.put{name="battery-mk2-equipment"}
 
  player.force.research_all_technologies()

  player.force.chart(player.surface, {{player.position.x - 400, player.position.y - 400}, {player.position.x + 400, player.position.y + 400}})
  if (#game.players <= 1) then
    game.show_message_dialog{text = {"msg-intro"}}
  else
    player.print({"msg-intro"})
  end
  silo_script.on_player_created(event)
end)

script.on_event(defines.events.on_player_respawned, function(event)
  local player = game.players[event.player_index]
  player.insert{name="pistol", count=1}
  player.insert{name="firearm-magazine", count=10}
end)

script.on_event(defines.events.on_gui_click, function(event)
  silo_script.on_gui_click(event)
end)

script.on_init(function()
  global.version = version
  silo_script.on_init()
end)

script.on_event(defines.events.on_rocket_launched, function(event)
  silo_script.on_rocket_launched(event)
end)

script.on_configuration_changed(function(event)
  if global.version ~= version then
    global.version = version
  end
  silo_script.on_configuration_changed(event)
end)

silo_script.add_remote_interface()
silo_script.add_commands()
