require("silo-script")
local version = 1

script.on_event(defines.events.on_player_created, function(event)
  local player = game.players[event.player_index]
  character.character_inventory_slots_bonus=500
  character.quickbar_count_bonus=2
  character.character_crafting_speed_modifier=5
  character.character_running_speed_modifier=2
  local armor = player.get_inventory(defines.inventory.player_armor).find_item_stack('power-armor-mk2')
  armor.grid.put{name='fusion-reactor-equipment', count=4}
  armor.grid.put{name='personal-roboport-equipment', count=4}
  armor.grid.put{name='personal-roboport-equipment'}
  armor.grid.put{name="night-vision-equipment"}
  armor.grid.put{name="battery-mk2-equipment", count=4}
  player.insert{name="steel-axe", count = 10}
  player.insert{name="express-belt", count= 2000}
  player.insert{name="steam-engine", count=40}
  player.insert{name="firearm-magazine", count=100}
  player.insert{name="electric-mining-drill", count = 1000}
  player.insert{name="steel-furnace", count = 600}
  player.insert{name="express-underground-belt", count = 100}
  player.insert{name="express-splitter", count = 100}
  player.insert{name="offshore-pump", count = 2}
  player.insert{name="fast-inserter", count = 1000}
  player.insert{name="pipe", count = 50}
  player.insert{name="pipe-to-ground", count = 10}
  player.insert{name="boiler", count = 20}
  player.insert{name="assembling-machine-3", count = 400}
  player.insert{name="lab", count = 64}
  player.insert{name="submachine-gun", count = 1}
  player.insert{name="steel-chest", count = 100}
  player.insert{name="construction-robot", count = 200}
  player.insert{name="battery-mk2-equipment", count = 4}
  player.insert{name="medium-electric-pole", count = 1000}
  player.insert{name="iron-plate", count = 100}
  player.insert{name="copper-plate", count = 100}
  player.insert{name="night-vision-equipment", count = 1}
  
  game.player.force.research_all_technologies()

  player.force.chart(player.surface, {{player.position.x - 200, player.position.y - 200}, {player.position.x + 200, player.position.y + 200}})
  for _,entity in pairs(player.surface.find_entities_filtered{
      area={{player.position.x-500, player.position.y-500},
          {player.position.x+500, player.position.y+500}},
          type="tree"})
  do
    entity.destroy()
  end
local surface = player.surface;
for y=100,200 do
 for x=100,200 do
  surface.create_entity({name="iron-ore", amount=9000000, position={player.position.x+x, player.position.y+y}})
 end
end
  
 
  
  if (#game.players <= 1) then
     game.show_message_dialog{text = {"msg-intro"}}
  else
    player.print({"msg-intro"})
  end
  silo_script.gui_init(player)
end)

script.on_event(defines.events.on_player_respawned, function(event)
  local player = game.players[event.player_index]
  player.insert{name="pistol", count=1}
  player.insert{name="firearm-magazine", count=10}
end)

script.on_event(defines.events.on_gui_click, function(event)
  silo_script.on_gui_click(event)
end)

script.on_init(function()
  global.version = version
  silo_script.init()
end)

script.on_event(defines.events.on_rocket_launched, function(event)
  silo_script.on_rocket_launched(event)
end)

script.on_configuration_changed(function(event)
  if global.version ~= version then
    global.version = version
  end
  silo_script.on_configuration_changed(event)
end)

silo_script.add_remote_interface()
